ViewVC Help
View File | Revision Log | Show Annotations | View Changeset | Root Listing
root/OpenMD/branches/development/configure
(Generate patch)

Comparing trunk/configure (file contents):
Revision 44 by gezelter, Wed Oct 6 21:22:43 2004 UTC vs.
Revision 397 by gezelter, Fri Mar 4 15:29:03 2005 UTC

# Line 312 | Line 312 | ac_includes_default="\
312   # include <unistd.h>
313   #endif"
314  
315 < ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI SPRNG_LIB_DIR SPRNG_INC_DIR SPRNG_LIB USE_SPRNG MKL_LIBDIR MKL_LIB MKL_INC HAVE_MKL BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
315 > ac_subst_vars='SHELL PATH_SEPARATOR PACKAGE_NAME PACKAGE_TARNAME PACKAGE_VERSION PACKAGE_STRING PACKAGE_BUGREPORT exec_prefix prefix program_transform_name bindir sbindir libexecdir datadir sysconfdir sharedstatedir localstatedir libdir includedir oldincludedir infodir mandir build_alias host_alias target_alias DEFS ECHO_C ECHO_N ECHO_T LIBS PROGNAME debug build build_cpu build_vendor build_os host host_cpu host_vendor host_os CC CFLAGS LDFLAGS CPPFLAGS ac_ct_CC EXEEXT OBJEXT CXX CXXFLAGS ac_ct_CXX OOPSE_TEMPLATE_FLAGS EXTRA_CC_FLAG F90 F90FLAGS ac_ct_F90 PREPFLAG PREPDEFFLAG F90LIBS F90_FUNC F90_FUNC_ MOD F90_WORK_FILES_ARG MODDIRFLAG F90MODINCSPEC F90_MODULE_NAMES CPP EGREP LIBOBJS INSTALL_PROGRAM INSTALL_SCRIPT INSTALL_DATA LN_S SET_MAKE RANLIB ac_ct_RANLIB YACC LEX LEXLIB LEX_OUTPUT_ROOT AR PS MPI_LIB_DIR MPI_INC_DIR MPI_F90_INC MPI_LIB MPI_F90_LIB USE_MPI DOXYGEN DOT DOC enable_dot enable_html_docs enable_latex_docs BATEXT MKINSTALLDIRS OOPSE OOPSE_HOME SUBDIRS FFLAGS LTLIBOBJS'
316   ac_subst_files=''
317  
318   # Initialize some variables set by options.
# Line 866 | Line 866 | Optional Features:
866    --disable-FEATURE       do not include FEATURE (same as --enable-FEATURE=no)
867    --enable-FEATURE[=ARG]  include FEATURE [ARG=yes]
868    --enable-debug          Compile OOPSE in debug mode
869 +  --enable-doxygen        enable documentation generation with doxygen (auto)
870 +  --enable-dot            use 'dot' to generate graphs in doxygen (auto)
871 +  --enable-html-docs      enable HTML generation with doxygen (yes)
872 +  --enable-latex-docs     enable LaTeX documentation generation with doxygen (no)
873    --enable-oopse-home=DIR      define oopse home dir PREFIX/oopse
874  
875   Optional Packages:
876    --with-PACKAGE[=ARG]    use PACKAGE [ARG=yes]
877    --without-PACKAGE       do not use PACKAGE (same as --with-PACKAGE=no)
878    --with-mpi=<prefix>     compile with MPI installed in <prefix> [default=no]
875  --with-sprng=<prefix>   compile with SPRNG installed in <prefix>
876                          [default=/usr/local]
877  --with-mkl              Do we want MKL will check /usr/local/intel/mkl61 /opt/intel/mkl61
879  
880   Some influential environment variables:
881    CC          C compiler command
# Line 1876 | Line 1877 | ac_configure="$SHELL $ac_aux_dir/configure" # This sho
1877  
1878  
1879  
1880 +
1881 +
1882 +
1883   # set program name
1884   PROGNAME="oopse"
1885  
# Line 3535 | Line 3539 | F90FLAGS="$F90FLAGS $ac_verb"
3539   ac_save_F90FLAGS=$F90FLAGS
3540   F90FLAGS="$F90FLAGS $ac_verb"
3541  
3542 < (eval echo $as_me:3538: \"$ac_link\") >&5
3542 > (eval echo $as_me:3542: \"$ac_link\") >&5
3543   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3544   echo "$ac_f90_v_output" >&5
3545   F90FLAGS=$ac_save_F90FLAGS
# Line 3612 | Line 3616 | F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3616   ac_save_F90FLAGS=$F90FLAGS
3617   F90FLAGS="$F90FLAGS $ac_cv_prog_f90_v"
3618  
3619 < (eval echo $as_me:3615: \"$ac_link\") >&5
3619 > (eval echo $as_me:3619: \"$ac_link\") >&5
3620   ac_f90_v_output=`eval $ac_link 5>&1 2>&1 | grep -v 'Driving:'`
3621   echo "$ac_f90_v_output" >&5
3622   F90FLAGS=$ac_save_F90FLAGS
# Line 4932 | Line 4936 | _ACEOF
4936    cat >>confdefs.h <<_ACEOF
4937   #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
4938   _ACEOF
4939 +
4940 + fi
4941 +
4942 + done
4943 +
4944 +
4945 +
4946 +
4947 +
4948 +
4949 +
4950 +
4951 +
4952 +
4953 +
4954 + for ac_header in unistd.h sys/pstat.h sys/sysmp.h sys/sysinfo.h sys/table.h sys/param.h sys/sysctl.h sys/sytemcfg.h machine/hal_sysinfo.h
4955 + do
4956 + as_ac_Header=`echo "ac_cv_header_$ac_header" | $as_tr_sh`
4957 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4958 +  echo "$as_me:$LINENO: checking for $ac_header" >&5
4959 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
4960 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
4961 +  echo $ECHO_N "(cached) $ECHO_C" >&6
4962 + fi
4963 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
4964 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
4965 + else
4966 +  # Is the header compilable?
4967 + echo "$as_me:$LINENO: checking $ac_header usability" >&5
4968 + echo $ECHO_N "checking $ac_header usability... $ECHO_C" >&6
4969 + cat >conftest.$ac_ext <<_ACEOF
4970 + /* confdefs.h.  */
4971 + _ACEOF
4972 + cat confdefs.h >>conftest.$ac_ext
4973 + cat >>conftest.$ac_ext <<_ACEOF
4974 + /* end confdefs.h.  */
4975 + $ac_includes_default
4976 + #include <$ac_header>
4977 + _ACEOF
4978 + rm -f conftest.$ac_objext
4979 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
4980 +  (eval $ac_compile) 2>conftest.er1
4981 +  ac_status=$?
4982 +  grep -v '^ *+' conftest.er1 >conftest.err
4983 +  rm -f conftest.er1
4984 +  cat conftest.err >&5
4985 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4986 +  (exit $ac_status); } &&
4987 +         { ac_try='test -z "$ac_c_werror_flag"
4988 +                         || test ! -s conftest.err'
4989 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4990 +  (eval $ac_try) 2>&5
4991 +  ac_status=$?
4992 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4993 +  (exit $ac_status); }; } &&
4994 +         { ac_try='test -s conftest.$ac_objext'
4995 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
4996 +  (eval $ac_try) 2>&5
4997 +  ac_status=$?
4998 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
4999 +  (exit $ac_status); }; }; then
5000 +  ac_header_compiler=yes
5001 + else
5002 +  echo "$as_me: failed program was:" >&5
5003 + sed 's/^/| /' conftest.$ac_ext >&5
5004 +
5005 + ac_header_compiler=no
5006 + fi
5007 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5008 + echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
5009 + echo "${ECHO_T}$ac_header_compiler" >&6
5010 +
5011 + # Is the header present?
5012 + echo "$as_me:$LINENO: checking $ac_header presence" >&5
5013 + echo $ECHO_N "checking $ac_header presence... $ECHO_C" >&6
5014 + cat >conftest.$ac_ext <<_ACEOF
5015 + /* confdefs.h.  */
5016 + _ACEOF
5017 + cat confdefs.h >>conftest.$ac_ext
5018 + cat >>conftest.$ac_ext <<_ACEOF
5019 + /* end confdefs.h.  */
5020 + #include <$ac_header>
5021 + _ACEOF
5022 + if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
5023 +  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
5024 +  ac_status=$?
5025 +  grep -v '^ *+' conftest.er1 >conftest.err
5026 +  rm -f conftest.er1
5027 +  cat conftest.err >&5
5028 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5029 +  (exit $ac_status); } >/dev/null; then
5030 +  if test -s conftest.err; then
5031 +    ac_cpp_err=$ac_c_preproc_warn_flag
5032 +    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
5033 +  else
5034 +    ac_cpp_err=
5035 +  fi
5036 + else
5037 +  ac_cpp_err=yes
5038 + fi
5039 + if test -z "$ac_cpp_err"; then
5040 +  ac_header_preproc=yes
5041 + else
5042 +  echo "$as_me: failed program was:" >&5
5043 + sed 's/^/| /' conftest.$ac_ext >&5
5044 +
5045 +  ac_header_preproc=no
5046 + fi
5047 + rm -f conftest.err conftest.$ac_ext
5048 + echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
5049 + echo "${ECHO_T}$ac_header_preproc" >&6
5050 +
5051 + # So?  What about this header?
5052 + case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
5053 +  yes:no: )
5054 +    { echo "$as_me:$LINENO: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&5
5055 + echo "$as_me: WARNING: $ac_header: accepted by the compiler, rejected by the preprocessor!" >&2;}
5056 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the compiler's result" >&5
5057 + echo "$as_me: WARNING: $ac_header: proceeding with the compiler's result" >&2;}
5058 +    ac_header_preproc=yes
5059 +    ;;
5060 +  no:yes:* )
5061 +    { echo "$as_me:$LINENO: WARNING: $ac_header: present but cannot be compiled" >&5
5062 + echo "$as_me: WARNING: $ac_header: present but cannot be compiled" >&2;}
5063 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     check for missing prerequisite headers?" >&5
5064 + echo "$as_me: WARNING: $ac_header:     check for missing prerequisite headers?" >&2;}
5065 +    { echo "$as_me:$LINENO: WARNING: $ac_header: see the Autoconf documentation" >&5
5066 + echo "$as_me: WARNING: $ac_header: see the Autoconf documentation" >&2;}
5067 +    { echo "$as_me:$LINENO: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&5
5068 + echo "$as_me: WARNING: $ac_header:     section \"Present But Cannot Be Compiled\"" >&2;}
5069 +    { echo "$as_me:$LINENO: WARNING: $ac_header: proceeding with the preprocessor's result" >&5
5070 + echo "$as_me: WARNING: $ac_header: proceeding with the preprocessor's result" >&2;}
5071 +    { echo "$as_me:$LINENO: WARNING: $ac_header: in the future, the compiler will take precedence" >&5
5072 + echo "$as_me: WARNING: $ac_header: in the future, the compiler will take precedence" >&2;}
5073 +    (
5074 +      cat <<\_ASBOX
5075 + ## ------------------------------ ##
5076 + ## Report this to gezelter@nd.edu ##
5077 + ## ------------------------------ ##
5078 + _ASBOX
5079 +    ) |
5080 +      sed "s/^/$as_me: WARNING:     /" >&2
5081 +    ;;
5082 + esac
5083 + echo "$as_me:$LINENO: checking for $ac_header" >&5
5084 + echo $ECHO_N "checking for $ac_header... $ECHO_C" >&6
5085 + if eval "test \"\${$as_ac_Header+set}\" = set"; then
5086 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5087 + else
5088 +  eval "$as_ac_Header=\$ac_header_preproc"
5089 + fi
5090 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_Header'}'`" >&5
5091 + echo "${ECHO_T}`eval echo '${'$as_ac_Header'}'`" >&6
5092 +
5093 + fi
5094 + if test `eval echo '${'$as_ac_Header'}'` = yes; then
5095 +  cat >>confdefs.h <<_ACEOF
5096 + #define `echo "HAVE_$ac_header" | $as_tr_cpp` 1
5097 + _ACEOF
5098 +
5099 + fi
5100 +
5101 + done
5102 +
5103 +
5104 +
5105 +
5106 +
5107 +
5108 + for ac_func in pstat_getstatic sysmp getsysinfo sysctl table
5109 + do
5110 + as_ac_var=`echo "ac_cv_func_$ac_func" | $as_tr_sh`
5111 + echo "$as_me:$LINENO: checking for $ac_func" >&5
5112 + echo $ECHO_N "checking for $ac_func... $ECHO_C" >&6
5113 + if eval "test \"\${$as_ac_var+set}\" = set"; then
5114 +  echo $ECHO_N "(cached) $ECHO_C" >&6
5115 + else
5116 +  cat >conftest.$ac_ext <<_ACEOF
5117 + /* confdefs.h.  */
5118 + _ACEOF
5119 + cat confdefs.h >>conftest.$ac_ext
5120 + cat >>conftest.$ac_ext <<_ACEOF
5121 + /* end confdefs.h.  */
5122 + /* Define $ac_func to an innocuous variant, in case <limits.h> declares $ac_func.
5123 +   For example, HP-UX 11i <limits.h> declares gettimeofday.  */
5124 + #define $ac_func innocuous_$ac_func
5125 +
5126 + /* System header to define __stub macros and hopefully few prototypes,
5127 +    which can conflict with char $ac_func (); below.
5128 +    Prefer <limits.h> to <assert.h> if __STDC__ is defined, since
5129 +    <limits.h> exists even on freestanding compilers.  */
5130 +
5131 + #ifdef __STDC__
5132 + # include <limits.h>
5133 + #else
5134 + # include <assert.h>
5135 + #endif
5136 +
5137 + #undef $ac_func
5138 +
5139 + /* Override any gcc2 internal prototype to avoid an error.  */
5140 + #ifdef __cplusplus
5141 + extern "C"
5142 + {
5143 + #endif
5144 + /* We use char because int might match the return type of a gcc2
5145 +   builtin and then its argument prototype would still apply.  */
5146 + char $ac_func ();
5147 + /* The GNU C library defines this for functions which it implements
5148 +    to always fail with ENOSYS.  Some functions are actually named
5149 +    something starting with __ and the normal name is an alias.  */
5150 + #if defined (__stub_$ac_func) || defined (__stub___$ac_func)
5151 + choke me
5152 + #else
5153 + char (*f) () = $ac_func;
5154 + #endif
5155 + #ifdef __cplusplus
5156 + }
5157 + #endif
5158 +
5159 + int
5160 + main ()
5161 + {
5162 + return f != $ac_func;
5163 +  ;
5164 +  return 0;
5165 + }
5166 + _ACEOF
5167 + rm -f conftest.$ac_objext conftest$ac_exeext
5168 + if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
5169 +  (eval $ac_link) 2>conftest.er1
5170 +  ac_status=$?
5171 +  grep -v '^ *+' conftest.er1 >conftest.err
5172 +  rm -f conftest.er1
5173 +  cat conftest.err >&5
5174 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5175 +  (exit $ac_status); } &&
5176 +         { ac_try='test -z "$ac_c_werror_flag"
5177 +                         || test ! -s conftest.err'
5178 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5179 +  (eval $ac_try) 2>&5
5180 +  ac_status=$?
5181 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5182 +  (exit $ac_status); }; } &&
5183 +         { ac_try='test -s conftest$ac_exeext'
5184 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5185 +  (eval $ac_try) 2>&5
5186 +  ac_status=$?
5187 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5188 +  (exit $ac_status); }; }; then
5189 +  eval "$as_ac_var=yes"
5190 + else
5191 +  echo "$as_me: failed program was:" >&5
5192 + sed 's/^/| /' conftest.$ac_ext >&5
5193  
5194 + eval "$as_ac_var=no"
5195   fi
5196 + rm -f conftest.err conftest.$ac_objext \
5197 +      conftest$ac_exeext conftest.$ac_ext
5198 + fi
5199 + echo "$as_me:$LINENO: result: `eval echo '${'$as_ac_var'}'`" >&5
5200 + echo "${ECHO_T}`eval echo '${'$as_ac_var'}'`" >&6
5201 + if test `eval echo '${'$as_ac_var'}'` = yes; then
5202 +  cat >>confdefs.h <<_ACEOF
5203 + #define `echo "HAVE_$ac_func" | $as_tr_cpp` 1
5204 + _ACEOF
5205  
5206 + fi
5207   done
5208  
5209 + # special check for _system_configuration because AIX <4.3.2 do not
5210 + # contain the `physmem' member.
5211 + echo "$as_me:$LINENO: checking for external symbol _system_configuration" >&5
5212 + echo $ECHO_N "checking for external symbol _system_configuration... $ECHO_C" >&6
5213 + cat >conftest.$ac_ext <<_ACEOF
5214 + /* confdefs.h.  */
5215 + _ACEOF
5216 + cat confdefs.h >>conftest.$ac_ext
5217 + cat >>conftest.$ac_ext <<_ACEOF
5218 + /* end confdefs.h.  */
5219 + #include <sys/systemcfg.h>
5220 + int
5221 + main ()
5222 + {
5223 + double x = _system_configuration.physmem;
5224 +  ;
5225 +  return 0;
5226 + }
5227 + _ACEOF
5228 + rm -f conftest.$ac_objext
5229 + if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
5230 +  (eval $ac_compile) 2>conftest.er1
5231 +  ac_status=$?
5232 +  grep -v '^ *+' conftest.er1 >conftest.err
5233 +  rm -f conftest.er1
5234 +  cat conftest.err >&5
5235 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5236 +  (exit $ac_status); } &&
5237 +         { ac_try='test -z "$ac_c_werror_flag"
5238 +                         || test ! -s conftest.err'
5239 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5240 +  (eval $ac_try) 2>&5
5241 +  ac_status=$?
5242 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5243 +  (exit $ac_status); }; } &&
5244 +         { ac_try='test -s conftest.$ac_objext'
5245 +  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
5246 +  (eval $ac_try) 2>&5
5247 +  ac_status=$?
5248 +  echo "$as_me:$LINENO: \$? = $ac_status" >&5
5249 +  (exit $ac_status); }; }; then
5250 +  echo "$as_me:$LINENO: result: yes" >&5
5251 + echo "${ECHO_T}yes" >&6
5252  
5253 + cat >>confdefs.h <<\_ACEOF
5254 + #define HAVE__SYSTEM_CONFIGURATION 1
5255 + _ACEOF
5256 +
5257 + else
5258 +  echo "$as_me: failed program was:" >&5
5259 + sed 's/^/| /' conftest.$ac_ext >&5
5260 +
5261 + echo "$as_me:$LINENO: result: no" >&5
5262 + echo "${ECHO_T}no" >&6
5263 + fi
5264 + rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
5265 +
5266    # clean out junk possibly left behind by a previous configuration
5267 <  rm -f utils/getopt.h
5267 >  rm -f src/getopt.h
5268    # Check for getopt_long support
5269  
5270   for ac_header in getopt.h
# Line 5279 | Line 5604 | esac
5604    *) LIBOBJS="$LIBOBJS getopt1.$ac_objext" ;;
5605   esac
5606  
5607 <                ac_config_links="$ac_config_links utils/getopt.h:utils/gnugetopt.h"
5607 >                ac_config_links="$ac_config_links src/getopt.h:src/utils/gnugetopt.h"
5608  
5609   fi
5610  
# Line 5373 | Line 5698 | if test "$ac_test_CFLAGS" != "set"; then
5698          fi;;
5699     *darwin*)
5700          if test "$CC" = xlc -o "$CC" = cc; then
5701 <                CFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5701 >                CFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
5702          fi;;
5703    esac
5704  
# Line 5824 | Line 6149 | if test "$ac_test_CXXFLAGS" != "set"; then
6149                  echo "*******************************************************"
6150          fi;;
6151     *darwin*)
6152 <        if test "$CXX" = xlc++; then
6153 <                CXXFLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6152 >        if test "$CXX" = xlc++ -o "$CXX" = xlC ; then
6153 >                CXXFLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto -qaltivec"
6154          fi;;
6155    esac
6156  
# Line 6237 | Line 6562 | if test x"$F90FLAGS" = x ; then
6562          fi;;
6563     *darwin*)
6564          if test "$F90" = f90 -o "$F90" = xlf90 -o "$F90" = xlf95; then
6565 <                F90FLAGS="-qthreaded -O5 -qtune=auto -qarch=auto -qunroll=auto"
6565 >                F90FLAGS="-qthreaded -O -qtune=auto -qarch=auto -qunroll=auto"
6566          fi;;
6567    esac
6568  
# Line 6925 | Line 7250 | rm -f confcache
7250   fi
7251   rm -f confcache
7252    exit 1
7253 + fi
7254 +
7255 + # Extract the first word of "ps", so it can be a program name with args.
7256 + set dummy ps; ac_word=$2
7257 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7258 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7259 + if test "${ac_cv_path_PS+set}" = set; then
7260 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7261 + else
7262 +  case $PS in
7263 +  [\\/]* | ?:[\\/]*)
7264 +  ac_cv_path_PS="$PS" # Let the user override the test with a path.
7265 +  ;;
7266 +  *)
7267 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7268 + for as_dir in $PATH
7269 + do
7270 +  IFS=$as_save_IFS
7271 +  test -z "$as_dir" && as_dir=.
7272 +  for ac_exec_ext in '' $ac_executable_extensions; do
7273 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7274 +    ac_cv_path_PS="$as_dir/$ac_word$ac_exec_ext"
7275 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7276 +    break 2
7277 +  fi
7278 + done
7279 + done
7280 +
7281 +  ;;
7282 + esac
7283 + fi
7284 + PS=$ac_cv_path_PS
7285 +
7286 + if test -n "$PS"; then
7287 +  echo "$as_me:$LINENO: result: $PS" >&5
7288 + echo "${ECHO_T}$PS" >&6
7289 + else
7290 +  echo "$as_me:$LINENO: result: no" >&5
7291 + echo "${ECHO_T}no" >&6
7292 + fi
7293 +
7294 + echo "$as_me:$LINENO: checking for POSIX or BSD ps syntax" >&5
7295 + echo $ECHO_N "checking for POSIX or BSD ps syntax... $ECHO_C" >&6
7296 + if test "${ac_cv_prog_ps_syntax+set}" = set; then
7297 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7298 + else
7299 +
7300 +        if $PS ax -o rss > /dev/null 2>&1; then
7301 +                ac_cv_prog_ps_ax=yes
7302 +        else
7303 +                ac_cv_prog_ps_ax=no
7304 +        fi
7305 +        if $PS -ef -o rss > /dev/null 2>&1; then
7306 +                ac_cv_prog_ps_ef=yes
7307 +        else
7308 +                ac_cv_prog_ps_ef=no
7309 +        fi
7310 +        if test "$ac_cv_prog_ps_ax" = yes; then
7311 +                ac_cv_prog_ps_syntax=BSD
7312 +        else
7313 +                if test "$ac_cv_prog_ps_ef" = yes; then
7314 +                        ac_cv_prog_ps_syntax=POSIX
7315 +                else
7316 +                        { { echo "$as_me:$LINENO: error: Could not determine ps syntax" >&5
7317 + echo "$as_me: error: Could not determine ps syntax" >&2;}
7318 +   { (exit 1); exit 1; }; }
7319 +                fi
7320 +        fi
7321 +
7322   fi
7323 + echo "$as_me:$LINENO: result: $ac_cv_prog_ps_syntax" >&5
7324 + echo "${ECHO_T}$ac_cv_prog_ps_syntax" >&6
7325 +
7326 +
7327 + cat >>confdefs.h <<_ACEOF
7328 + #define PSCOMMAND $PS
7329 + _ACEOF
7330 +
7331 +
7332 + if test "$ac_cv_prog_ps_syntax" = BSD; then
7333 +  cat >>confdefs.h <<\_ACEOF
7334 + #define PSTYPE_IS_BSD 1
7335 + _ACEOF
7336 +
7337 + else
7338 +   if test "$ac_cv_prog_ps_syntax" = POSIX; then
7339 +       cat >>confdefs.h <<\_ACEOF
7340 + #define PSTYPE_IS_POSIX 1
7341 + _ACEOF
7342  
7343 +   else
7344 +       { { echo "$as_me:$LINENO: error: Unknown ps syntax type!" >&5
7345 + echo "$as_me: error: Unknown ps syntax type!" >&2;}
7346 +   { (exit 1); exit 1; }; }
7347 +   fi
7348 + fi
7349  
7350  
7351   # Check whether --with-mpi or --without-mpi was given.
# Line 7228 | Line 7647 | fi
7647   fi
7648  
7649   fi
7650 <
7232 < $as_unset ac_cv_lib_mpi_MPI_Init
7650 > $as_unset ac_cv_lib_mpich_MPI_Init
7651   if test x = x"$MPI_LIB"; then
7652 < echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
7653 < echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
7654 < if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
7652 >        echo "$as_me:$LINENO: checking for MPI_Init in -lmpich" >&5
7653 > echo $ECHO_N "checking for MPI_Init in -lmpich... $ECHO_C" >&6
7654 > if test "${ac_cv_lib_mpich_MPI_Init+set}" = set; then
7655    echo $ECHO_N "(cached) $ECHO_C" >&6
7656   else
7657    ac_check_lib_save_LIBS=$LIBS
7658 < LIBS="-lmpi -llam -lpthread $LIBS"
7658 > LIBS="-lmpich "-lpmpich" $LIBS"
7659   cat >conftest.$ac_ext <<_ACEOF
7660   /* confdefs.h.  */
7661   _ACEOF
# Line 7282 | Line 7700 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7700    ac_status=$?
7701    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7702    (exit $ac_status); }; }; then
7703 <  ac_cv_lib_mpi_MPI_Init=yes
7703 >  ac_cv_lib_mpich_MPI_Init=yes
7704   else
7705    echo "$as_me: failed program was:" >&5
7706   sed 's/^/| /' conftest.$ac_ext >&5
7707  
7708 < ac_cv_lib_mpi_MPI_Init=no
7708 > ac_cv_lib_mpich_MPI_Init=no
7709   fi
7710   rm -f conftest.err conftest.$ac_objext \
7711        conftest$ac_exeext conftest.$ac_ext
7712   LIBS=$ac_check_lib_save_LIBS
7713   fi
7714 < echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
7715 < echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
7716 < if test $ac_cv_lib_mpi_MPI_Init = yes; then
7717 <  MPI_LIB="-lmpi -llam -lpthread"
7300 < else
7301 <
7302 <             { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
7303 < echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
7304 <   { (exit 1); exit 1; }; }
7305 <             USE_MPI="no"
7306 <
7307 < fi
7308 <
7309 < fi
7310 <
7311 <
7312 <
7313 < echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
7314 < echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
7315 < MPI_F90_LIB=""
7316 < if test -f "$MPI_LIB_DIR/libfmpich.a" ; then
7317 <        MPI_F90_LIB="-lfmpich"
7318 < elif test -f "$MPI_LIB_DIR/liblamf77mpi.a" ; then
7319 <        MPI_F90_LIB="-llamf77mpi"
7320 < else
7321 <                        MPI_F90_LIB="  "
7322 < fi
7323 < echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7324 < echo "${ECHO_T}found $MPI_F90_LIB" >&6
7325 <
7326 <
7327 < fi
7328 <
7329 <
7330 <
7331 < # Check whether --with-sprng or --without-sprng was given.
7332 < if test "${with_sprng+set}" = set; then
7333 <  withval="$with_sprng"
7334 <  with_sprng=$withval
7335 < else
7336 <  with_sprng="/usr/local"
7337 < fi;
7338 <
7339 < case "x$with_sprng" in
7340 <        xyes | "x")  USE_SPRNG=yes;;
7341 <        xno) USE_SPRNG=no ;;
7342 <        *) SPRNG="$with_sprng"; USE_SPRNG=yes ;;
7343 < esac
7344 < if test "$USE_SPRNG" = "yes" -a -z "$with_sprng"; then
7345 <        SPRNG="/usr/local"
7714 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpich_MPI_Init" >&5
7715 > echo "${ECHO_T}$ac_cv_lib_mpich_MPI_Init" >&6
7716 > if test $ac_cv_lib_mpich_MPI_Init = yes; then
7717 >  MPI_LIB="-lmpich -lpmpich"
7718   fi
7347 if test "$USE_SPRNG" = "yes"; then
7719  
7349
7350 # Set variables...
7351 SPRNG_LIB_DIR="$SPRNG/lib"
7352 SPRNG_INC_DIR="$SPRNG/include"
7353
7354
7355
7356 echo "$as_me:$LINENO: checking for sprng.h" >&5
7357 echo $ECHO_N "checking for sprng.h... $ECHO_C" >&6
7358 have_sprng_h=0
7359 echo '#include <sprng.h>' > conftest.cc
7360 if test -z "`${CXX} -I${SPRNG_INC_DIR} -c conftest.cc 2>&1`"; then
7361        echo "$as_me:$LINENO: result: yes" >&5
7362 echo "${ECHO_T}yes" >&6
7363        have_sprng_h=1
7364 else
7365        echo "$as_me:$LINENO: result: no! Check SPRNG include path!" >&5
7366 echo "${ECHO_T}no! Check SPRNG include path!" >&6
7367        USE_SPRNG="no"
7720   fi
7369 rm -f conftest*
7370 if test "$have_sprng_h" = 1; then
7721  
7722 < cat >>confdefs.h <<\_ACEOF
7723 < #define HAVE_SPRNG_H 1
7724 < _ACEOF
7725 <
7726 < fi
7377 <
7378 < ac_ext=c
7379 < ac_cpp='$CPP $CPPFLAGS'
7380 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7381 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7382 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7383 <
7384 < ac_save_LDFLAGS=$LDFLAGS
7385 < LDFLAGS="${LDFLAGS} -L${SPRNG_LIB_DIR} "
7386 <
7387 < echo "$as_me:$LINENO: checking for init_rng in -lsprng" >&5
7388 < echo $ECHO_N "checking for init_rng in -lsprng... $ECHO_C" >&6
7389 < if test "${ac_cv_lib_sprng_init_rng+set}" = set; then
7722 > $as_unset ac_cv_lib_mpi_MPI_Init
7723 > if test x = x"$MPI_LIB"; then
7724 > echo "$as_me:$LINENO: checking for MPI_Init in -lmpi" >&5
7725 > echo $ECHO_N "checking for MPI_Init in -lmpi... $ECHO_C" >&6
7726 > if test "${ac_cv_lib_mpi_MPI_Init+set}" = set; then
7727    echo $ECHO_N "(cached) $ECHO_C" >&6
7728   else
7729    ac_check_lib_save_LIBS=$LIBS
7730 < LIBS="-lsprng  $LIBS"
7730 > LIBS="-lmpi -llam -lpthread $LIBS"
7731   cat >conftest.$ac_ext <<_ACEOF
7732   /* confdefs.h.  */
7733   _ACEOF
# Line 7404 | Line 7741 | extern "C"
7741   #endif
7742   /* We use char because int might match the return type of a gcc2
7743     builtin and then its argument prototype would still apply.  */
7744 < char init_rng ();
7744 > char MPI_Init ();
7745   int
7746   main ()
7747   {
7748 < init_rng ();
7748 > MPI_Init ();
7749    ;
7750    return 0;
7751   }
# Line 7435 | Line 7772 | if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7772    ac_status=$?
7773    echo "$as_me:$LINENO: \$? = $ac_status" >&5
7774    (exit $ac_status); }; }; then
7775 <  ac_cv_lib_sprng_init_rng=yes
7775 >  ac_cv_lib_mpi_MPI_Init=yes
7776   else
7777    echo "$as_me: failed program was:" >&5
7778   sed 's/^/| /' conftest.$ac_ext >&5
7779  
7780 < ac_cv_lib_sprng_init_rng=no
7780 > ac_cv_lib_mpi_MPI_Init=no
7781   fi
7782   rm -f conftest.err conftest.$ac_objext \
7783        conftest$ac_exeext conftest.$ac_ext
7784   LIBS=$ac_check_lib_save_LIBS
7785   fi
7786 < echo "$as_me:$LINENO: result: $ac_cv_lib_sprng_init_rng" >&5
7787 < echo "${ECHO_T}$ac_cv_lib_sprng_init_rng" >&6
7788 < if test $ac_cv_lib_sprng_init_rng = yes; then
7789 <  SPRNG_LIB="-lsprng"
7786 > echo "$as_me:$LINENO: result: $ac_cv_lib_mpi_MPI_Init" >&5
7787 > echo "${ECHO_T}$ac_cv_lib_mpi_MPI_Init" >&6
7788 > if test $ac_cv_lib_mpi_MPI_Init = yes; then
7789 >  MPI_LIB="-lmpi -llam -lpthread"
7790   else
7791  
7792 <             { { echo "$as_me:$LINENO: error: Didn't find libsprng; check path for SPRNG package first..." >&5
7793 < echo "$as_me: error: Didn't find libsprng; check path for SPRNG package first..." >&2;}
7792 >             { { echo "$as_me:$LINENO: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&5
7793 > echo "$as_me: error: Didn't find liblam, libmpi, or libmpich; check path for MPI package first..." >&2;}
7794     { (exit 1); exit 1; }; }
7795 <             USE_SPRNG="no"
7795 >             USE_MPI="no"
7796  
7797   fi
7798  
7799 + fi
7800  
7801 < if test "$USE_SPRNG" = "no"; then
7802 <  { { echo "$as_me:$LINENO: error: No working SPRNG library found" >&5
7803 < echo "$as_me: error: No working SPRNG library found" >&2;}
7804 <   { (exit 1); exit 1; }; }
7801 >
7802 >
7803 > echo "$as_me:$LINENO: checking for MPI Fortran library" >&5
7804 > echo $ECHO_N "checking for MPI Fortran library... $ECHO_C" >&6
7805 > MPI_F90_LIB=""
7806 > if test -f "$MPI_LIB_DIR/libfmpich.a" ; then
7807 >        MPI_F90_LIB="-lfmpich"
7808 > elif test -f "$MPI_LIB_DIR/liblamf77mpi.a" ; then
7809 >        MPI_F90_LIB="-llamf77mpi"
7810 > else
7811 >                        MPI_F90_LIB="  "
7812   fi
7813 + echo "$as_me:$LINENO: result: found $MPI_F90_LIB" >&5
7814 + echo "${ECHO_T}found $MPI_F90_LIB" >&6
7815  
7816  
7817   fi
7818  
7819  
7820  
7474 echo "$as_me:$LINENO: checking if MKL is wanted" >&5
7475 echo $ECHO_N "checking if MKL is wanted... $ECHO_C" >&6
7821  
7477 # Check whether --with-mkl or --without-mkl was given.
7478 if test "${with_mkl+set}" = set; then
7479  withval="$with_mkl"
7480     echo "$as_me:$LINENO: result: yes" >&5
7481 echo "${ECHO_T}yes" >&6
7482    for dir in $withval /usr/local/intel/mkl61 /opt/intel/mkl61; do
7483        mkldir="$dir"
7484        if test -f "$dir/include/mkl.h"; then
7485            found_mkl="yes";
7486            break;
7487        fi
7488    done
7489    if test x_$found_mkl != x_yes; then
7490        { { echo "$as_me:$LINENO: error: Cannot find MKL includes" >&5
7491 echo "$as_me: error: Cannot find MKL includes" >&2;}
7492   { (exit 1); exit 1; }; }
7493    else
7494        printf "MKL includes found in $mkldir/include\n";
7495    fi
7822  
7823 + # Check whether --enable-doxygen or --disable-doxygen was given.
7824 + if test "${enable_doxygen+set}" = set; then
7825 +  enableval="$enable_doxygen"
7826  
7827 + fi;
7828 + # Check whether --enable-dot or --disable-dot was given.
7829 + if test "${enable_dot+set}" = set; then
7830 +  enableval="$enable_dot"
7831  
7832 <  ac_ext=c
7833 < ac_cpp='$CPP $CPPFLAGS'
7834 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7835 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7503 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7832 > fi;
7833 > # Check whether --enable-html-docs or --disable-html-docs was given.
7834 > if test "${enable_html_docs+set}" = set; then
7835 >  enableval="$enable_html_docs"
7836  
7505  ac_save_CPPFLAGS=$CPPFLAGS
7506  CPPFLAGS="${CPPFLAGS} -I${mkldir}/include"
7507  ac_save_LDFLAGS=$LDFLAGS
7508  LDFLAGS="${LDFLAGS} -L${mkldir}/lib/32 -lmkl -lvml -lguide"
7509  if test "${ac_cv_header_mkl_h+set}" = set; then
7510  echo "$as_me:$LINENO: checking for mkl.h" >&5
7511 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7512 if test "${ac_cv_header_mkl_h+set}" = set; then
7513  echo $ECHO_N "(cached) $ECHO_C" >&6
7514 fi
7515 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
7516 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7837   else
7838 <  # Is the header compilable?
7839 < echo "$as_me:$LINENO: checking mkl.h usability" >&5
7840 < echo $ECHO_N "checking mkl.h usability... $ECHO_C" >&6
7841 < cat >conftest.$ac_ext <<_ACEOF
7842 < /* confdefs.h.  */
7523 < _ACEOF
7524 < cat confdefs.h >>conftest.$ac_ext
7525 < cat >>conftest.$ac_ext <<_ACEOF
7526 < /* end confdefs.h.  */
7527 < $ac_includes_default
7528 < #include <mkl.h>
7529 < _ACEOF
7530 < rm -f conftest.$ac_objext
7531 < if { (eval echo "$as_me:$LINENO: \"$ac_compile\"") >&5
7532 <  (eval $ac_compile) 2>conftest.er1
7533 <  ac_status=$?
7534 <  grep -v '^ *+' conftest.er1 >conftest.err
7535 <  rm -f conftest.er1
7536 <  cat conftest.err >&5
7537 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7538 <  (exit $ac_status); } &&
7539 <         { ac_try='test -z "$ac_c_werror_flag"
7540 <                         || test ! -s conftest.err'
7541 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7542 <  (eval $ac_try) 2>&5
7543 <  ac_status=$?
7544 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7545 <  (exit $ac_status); }; } &&
7546 <         { ac_try='test -s conftest.$ac_objext'
7547 <  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7548 <  (eval $ac_try) 2>&5
7549 <  ac_status=$?
7550 <  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7551 <  (exit $ac_status); }; }; then
7552 <  ac_header_compiler=yes
7553 < else
7554 <  echo "$as_me: failed program was:" >&5
7555 < sed 's/^/| /' conftest.$ac_ext >&5
7838 >   enable_html_docs=yes
7839 > fi;
7840 > # Check whether --enable-latex-docs or --disable-latex-docs was given.
7841 > if test "${enable_latex_docs+set}" = set; then
7842 >  enableval="$enable_latex_docs"
7843  
7557 ac_header_compiler=no
7558 fi
7559 rm -f conftest.err conftest.$ac_objext conftest.$ac_ext
7560 echo "$as_me:$LINENO: result: $ac_header_compiler" >&5
7561 echo "${ECHO_T}$ac_header_compiler" >&6
7562
7563 # Is the header present?
7564 echo "$as_me:$LINENO: checking mkl.h presence" >&5
7565 echo $ECHO_N "checking mkl.h presence... $ECHO_C" >&6
7566 cat >conftest.$ac_ext <<_ACEOF
7567 /* confdefs.h.  */
7568 _ACEOF
7569 cat confdefs.h >>conftest.$ac_ext
7570 cat >>conftest.$ac_ext <<_ACEOF
7571 /* end confdefs.h.  */
7572 #include <mkl.h>
7573 _ACEOF
7574 if { (eval echo "$as_me:$LINENO: \"$ac_cpp conftest.$ac_ext\"") >&5
7575  (eval $ac_cpp conftest.$ac_ext) 2>conftest.er1
7576  ac_status=$?
7577  grep -v '^ *+' conftest.er1 >conftest.err
7578  rm -f conftest.er1
7579  cat conftest.err >&5
7580  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7581  (exit $ac_status); } >/dev/null; then
7582  if test -s conftest.err; then
7583    ac_cpp_err=$ac_c_preproc_warn_flag
7584    ac_cpp_err=$ac_cpp_err$ac_c_werror_flag
7585  else
7586    ac_cpp_err=
7587  fi
7844   else
7845 <  ac_cpp_err=yes
7846 < fi
7847 < if test -z "$ac_cpp_err"; then
7848 <  ac_header_preproc=yes
7845 >   enable_latex_docs=no
7846 > fi;
7847 > if test "x$enable_doxygen" = xno; then
7848 >        enable_doc=no
7849   else
7850 <  echo "$as_me: failed program was:" >&5
7851 < sed 's/^/| /' conftest.$ac_ext >&5
7852 <
7853 <  ac_header_preproc=no
7854 < fi
7855 < rm -f conftest.err conftest.$ac_ext
7856 < echo "$as_me:$LINENO: result: $ac_header_preproc" >&5
7857 < echo "${ECHO_T}$ac_header_preproc" >&6
7850 >        # Extract the first word of "doxygen", so it can be a program name with args.
7851 > set dummy doxygen; ac_word=$2
7852 > echo "$as_me:$LINENO: checking for $ac_word" >&5
7853 > echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7854 > if test "${ac_cv_path_DOXYGEN+set}" = set; then
7855 >  echo $ECHO_N "(cached) $ECHO_C" >&6
7856 > else
7857 >  case $DOXYGEN in
7858 >  [\\/]* | ?:[\\/]*)
7859 >  ac_cv_path_DOXYGEN="$DOXYGEN" # Let the user override the test with a path.
7860 >  ;;
7861 >  *)
7862 >  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7863 > for as_dir in $PATH
7864 > do
7865 >  IFS=$as_save_IFS
7866 >  test -z "$as_dir" && as_dir=.
7867 >  for ac_exec_ext in '' $ac_executable_extensions; do
7868 >  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7869 >    ac_cv_path_DOXYGEN="$as_dir/$ac_word$ac_exec_ext"
7870 >    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7871 >    break 2
7872 >  fi
7873 > done
7874 > done
7875  
7876 < # So?  What about this header?
7604 < case $ac_header_compiler:$ac_header_preproc:$ac_c_preproc_warn_flag in
7605 <  yes:no: )
7606 <    { echo "$as_me:$LINENO: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&5
7607 < echo "$as_me: WARNING: mkl.h: accepted by the compiler, rejected by the preprocessor!" >&2;}
7608 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the compiler's result" >&5
7609 < echo "$as_me: WARNING: mkl.h: proceeding with the compiler's result" >&2;}
7610 <    ac_header_preproc=yes
7611 <    ;;
7612 <  no:yes:* )
7613 <    { echo "$as_me:$LINENO: WARNING: mkl.h: present but cannot be compiled" >&5
7614 < echo "$as_me: WARNING: mkl.h: present but cannot be compiled" >&2;}
7615 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     check for missing prerequisite headers?" >&5
7616 < echo "$as_me: WARNING: mkl.h:     check for missing prerequisite headers?" >&2;}
7617 <    { echo "$as_me:$LINENO: WARNING: mkl.h: see the Autoconf documentation" >&5
7618 < echo "$as_me: WARNING: mkl.h: see the Autoconf documentation" >&2;}
7619 <    { echo "$as_me:$LINENO: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&5
7620 < echo "$as_me: WARNING: mkl.h:     section \"Present But Cannot Be Compiled\"" >&2;}
7621 <    { echo "$as_me:$LINENO: WARNING: mkl.h: proceeding with the preprocessor's result" >&5
7622 < echo "$as_me: WARNING: mkl.h: proceeding with the preprocessor's result" >&2;}
7623 <    { echo "$as_me:$LINENO: WARNING: mkl.h: in the future, the compiler will take precedence" >&5
7624 < echo "$as_me: WARNING: mkl.h: in the future, the compiler will take precedence" >&2;}
7625 <    (
7626 <      cat <<\_ASBOX
7627 < ## ------------------------------ ##
7628 < ## Report this to gezelter@nd.edu ##
7629 < ## ------------------------------ ##
7630 < _ASBOX
7631 <    ) |
7632 <      sed "s/^/$as_me: WARNING:     /" >&2
7633 <    ;;
7876 >  ;;
7877   esac
7635 echo "$as_me:$LINENO: checking for mkl.h" >&5
7636 echo $ECHO_N "checking for mkl.h... $ECHO_C" >&6
7637 if test "${ac_cv_header_mkl_h+set}" = set; then
7638  echo $ECHO_N "(cached) $ECHO_C" >&6
7639 else
7640  ac_cv_header_mkl_h=$ac_header_preproc
7641 fi
7642 echo "$as_me:$LINENO: result: $ac_cv_header_mkl_h" >&5
7643 echo "${ECHO_T}$ac_cv_header_mkl_h" >&6
7644
7645 fi
7646 if test $ac_cv_header_mkl_h = yes; then
7647
7648    echo "$as_me:$LINENO: checking for vslNewStream in -lmkl" >&5
7649 echo $ECHO_N "checking for vslNewStream in -lmkl... $ECHO_C" >&6
7650 if test "${ac_cv_lib_mkl_vslNewStream+set}" = set; then
7651  echo $ECHO_N "(cached) $ECHO_C" >&6
7652 else
7653  ac_check_lib_save_LIBS=$LIBS
7654 LIBS="-lmkl  $LIBS"
7655 cat >conftest.$ac_ext <<_ACEOF
7656 /* confdefs.h.  */
7657 _ACEOF
7658 cat confdefs.h >>conftest.$ac_ext
7659 cat >>conftest.$ac_ext <<_ACEOF
7660 /* end confdefs.h.  */
7661
7662 /* Override any gcc2 internal prototype to avoid an error.  */
7663 #ifdef __cplusplus
7664 extern "C"
7665 #endif
7666 /* We use char because int might match the return type of a gcc2
7667   builtin and then its argument prototype would still apply.  */
7668 char vslNewStream ();
7669 int
7670 main ()
7671 {
7672 vslNewStream ();
7673  ;
7674  return 0;
7675 }
7676 _ACEOF
7677 rm -f conftest.$ac_objext conftest$ac_exeext
7678 if { (eval echo "$as_me:$LINENO: \"$ac_link\"") >&5
7679  (eval $ac_link) 2>conftest.er1
7680  ac_status=$?
7681  grep -v '^ *+' conftest.er1 >conftest.err
7682  rm -f conftest.er1
7683  cat conftest.err >&5
7684  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7685  (exit $ac_status); } &&
7686         { ac_try='test -z "$ac_c_werror_flag"
7687                         || test ! -s conftest.err'
7688  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7689  (eval $ac_try) 2>&5
7690  ac_status=$?
7691  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7692  (exit $ac_status); }; } &&
7693         { ac_try='test -s conftest$ac_exeext'
7694  { (eval echo "$as_me:$LINENO: \"$ac_try\"") >&5
7695  (eval $ac_try) 2>&5
7696  ac_status=$?
7697  echo "$as_me:$LINENO: \$? = $ac_status" >&5
7698  (exit $ac_status); }; }; then
7699  ac_cv_lib_mkl_vslNewStream=yes
7700 else
7701  echo "$as_me: failed program was:" >&5
7702 sed 's/^/| /' conftest.$ac_ext >&5
7703
7704 ac_cv_lib_mkl_vslNewStream=no
7878   fi
7879 < rm -f conftest.err conftest.$ac_objext \
7707 <      conftest$ac_exeext conftest.$ac_ext
7708 < LIBS=$ac_check_lib_save_LIBS
7709 < fi
7710 < echo "$as_me:$LINENO: result: $ac_cv_lib_mkl_vslNewStream" >&5
7711 < echo "${ECHO_T}$ac_cv_lib_mkl_vslNewStream" >&6
7712 < if test $ac_cv_lib_mkl_vslNewStream = yes; then
7713 <  MKL_LIBDIR="${mkldir}/lib/32",
7714 <                     MKL_LIB="-lmkl -lvml -lguide",
7715 <                     HAVE_MKL="yes"
7716 < fi
7879 > DOXYGEN=$ac_cv_path_DOXYGEN
7880  
7881 <
7881 > if test -n "$DOXYGEN"; then
7882 >  echo "$as_me:$LINENO: result: $DOXYGEN" >&5
7883 > echo "${ECHO_T}$DOXYGEN" >&6
7884   else
7885 <  MKL_INC="-I${mkldir}/include"
7885 >  echo "$as_me:$LINENO: result: no" >&5
7886 > echo "${ECHO_T}no" >&6
7887   fi
7888  
7889 <
7890 <  CPPFLAGS=$ac_save_CPPFLAGS
7891 <  LDFLAGS=$ac_save_LDFLAGS
7892 <  ac_ext=c
7727 < ac_cpp='$CPP $CPPFLAGS'
7728 < ac_compile='$CC -c $CFLAGS $CPPFLAGS conftest.$ac_ext >&5'
7729 < ac_link='$CC -o conftest$ac_exeext $CFLAGS $CPPFLAGS $LDFLAGS conftest.$ac_ext $LIBS >&5'
7730 < ac_compiler_gnu=$ac_cv_c_compiler_gnu
7731 <
7732 <
7733 <  if test x_$HAVE_MKL != x_yes; then
7734 <        { { echo "$as_me:$LINENO: error: Can't build with MKL" >&5
7735 < echo "$as_me: error: Can't build with MKL" >&2;}
7889 >        if test "x$DOXYGEN" = x; then
7890 >                if test "x$enable_doxygen" = xyes; then
7891 >                        { { echo "$as_me:$LINENO: error: could not find doxygen" >&5
7892 > echo "$as_me: error: could not find doxygen" >&2;}
7893     { (exit 1); exit 1; }; }
7894 +                fi
7895 +                enable_doc=no
7896 +        else
7897 +                enable_doc=yes
7898 +                # Extract the first word of "dot", so it can be a program name with args.
7899 + set dummy dot; ac_word=$2
7900 + echo "$as_me:$LINENO: checking for $ac_word" >&5
7901 + echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
7902 + if test "${ac_cv_path_DOT+set}" = set; then
7903 +  echo $ECHO_N "(cached) $ECHO_C" >&6
7904 + else
7905 +  case $DOT in
7906 +  [\\/]* | ?:[\\/]*)
7907 +  ac_cv_path_DOT="$DOT" # Let the user override the test with a path.
7908 +  ;;
7909 +  *)
7910 +  as_save_IFS=$IFS; IFS=$PATH_SEPARATOR
7911 + for as_dir in $PATH
7912 + do
7913 +  IFS=$as_save_IFS
7914 +  test -z "$as_dir" && as_dir=.
7915 +  for ac_exec_ext in '' $ac_executable_extensions; do
7916 +  if $as_executable_p "$as_dir/$ac_word$ac_exec_ext"; then
7917 +    ac_cv_path_DOT="$as_dir/$ac_word$ac_exec_ext"
7918 +    echo "$as_me:$LINENO: found $as_dir/$ac_word$ac_exec_ext" >&5
7919 +    break 2
7920    fi
7921 + done
7922 + done
7923  
7924 +  ;;
7925 + esac
7926 + fi
7927 + DOT=$ac_cv_path_DOT
7928  
7929 + if test -n "$DOT"; then
7930 +  echo "$as_me:$LINENO: result: $DOT" >&5
7931 + echo "${ECHO_T}$DOT" >&6
7932 + else
7933 +  echo "$as_me:$LINENO: result: no" >&5
7934 + echo "${ECHO_T}no" >&6
7935 + fi
7936  
7937 +        fi
7938 + fi
7939  
7940 + if test "x$enable_doc" = xyes; then
7941 +  DOC=1
7942 + else
7943 +  DOC=0
7944 + fi
7945  
7946 +
7947 + if test x$DOT = x; then
7948 +        if test "x$enable_dot" = xyes; then
7949 +                { { echo "$as_me:$LINENO: error: could not find dot" >&5
7950 + echo "$as_me: error: could not find dot" >&2;}
7951 +   { (exit 1); exit 1; }; }
7952 +        fi
7953 +        enable_dot=no
7954   else
7955 +        enable_dot=yes
7956 + fi
7957  
7745    echo "$as_me:$LINENO: result: no" >&5
7746 echo "${ECHO_T}no" >&6
7958  
7748 fi;
7959  
7960  
7961  
# Line 7810 | Line 8020 | esac
8020  
8021            ac_config_headers="$ac_config_headers src/config.h"
8022  
8023 <          ac_config_files="$ac_config_files make/Makefile"
8023 >                    ac_config_files="$ac_config_files make/Makefile src/utils/Makefile"
8024  
8025  
8026   cat >confcache <<\_ACEOF
# Line 8342 | Line 8552 | do
8552    case "$ac_config_target" in
8553    # Handling of arguments.
8554    "make/Makefile" ) CONFIG_FILES="$CONFIG_FILES make/Makefile" ;;
8555 <  "utils/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS utils/getopt.h:utils/gnugetopt.h" ;;
8555 >  "src/utils/Makefile" ) CONFIG_FILES="$CONFIG_FILES src/utils/Makefile" ;;
8556 >  "src/getopt.h" ) CONFIG_LINKS="$CONFIG_LINKS src/getopt.h:src/utils/gnugetopt.h" ;;
8557    "src/config.h" ) CONFIG_HEADERS="$CONFIG_HEADERS src/config.h" ;;
8558    *) { { echo "$as_me:$LINENO: error: invalid argument: $ac_config_target" >&5
8559   echo "$as_me: error: invalid argument: $ac_config_target" >&2;}
# Line 8479 | Line 8690 | s,@AR@,$AR,;t t
8690   s,@LEXLIB@,$LEXLIB,;t t
8691   s,@LEX_OUTPUT_ROOT@,$LEX_OUTPUT_ROOT,;t t
8692   s,@AR@,$AR,;t t
8693 + s,@PS@,$PS,;t t
8694   s,@MPI_LIB_DIR@,$MPI_LIB_DIR,;t t
8695   s,@MPI_INC_DIR@,$MPI_INC_DIR,;t t
8696   s,@MPI_F90_INC@,$MPI_F90_INC,;t t
8697   s,@MPI_LIB@,$MPI_LIB,;t t
8698   s,@MPI_F90_LIB@,$MPI_F90_LIB,;t t
8699   s,@USE_MPI@,$USE_MPI,;t t
8700 < s,@SPRNG_LIB_DIR@,$SPRNG_LIB_DIR,;t t
8701 < s,@SPRNG_INC_DIR@,$SPRNG_INC_DIR,;t t
8702 < s,@SPRNG_LIB@,$SPRNG_LIB,;t t
8703 < s,@USE_SPRNG@,$USE_SPRNG,;t t
8704 < s,@MKL_LIBDIR@,$MKL_LIBDIR,;t t
8705 < s,@MKL_LIB@,$MKL_LIB,;t t
8494 < s,@MKL_INC@,$MKL_INC,;t t
8495 < s,@HAVE_MKL@,$HAVE_MKL,;t t
8700 > s,@DOXYGEN@,$DOXYGEN,;t t
8701 > s,@DOT@,$DOT,;t t
8702 > s,@DOC@,$DOC,;t t
8703 > s,@enable_dot@,$enable_dot,;t t
8704 > s,@enable_html_docs@,$enable_html_docs,;t t
8705 > s,@enable_latex_docs@,$enable_latex_docs,;t t
8706   s,@BATEXT@,$BATEXT,;t t
8707   s,@MKINSTALLDIRS@,$MKINSTALLDIRS,;t t
8708   s,@OOPSE@,$OOPSE,;t t

Diff Legend

Removed lines
+ Added lines
< Changed lines
> Changed lines